import {configureStore} from '@reduxjs/toolkit'
import sampleReducer from "./reducers/SampleReducer";
import categoryReducer from "./reducers/CategoryReducer";
import customReducer from "./reducers/CustomReducer";

// Reference here all your application reducers
const reducer = {
    sampleReducer: sampleReducer,
    categoryReducer: categoryReducer,
    customReducer: customReducer,
}

// @ts-ignore
const store = configureStore({
    reducer,
    middleware: (getDefaultMiddleware) =>
        getDefaultMiddleware({
            serializableCheck: false
        })
},);

export default store;